<?php
require_once('fpdf.php');
class PDF extends FPDF{
	function Header()
{
 

 $this->SetXY(33, 25);
    $this->Image('logofon.png',90,15, 110, 40);
 $this->Ln(30);

 
   
}
function Footer()
{
 
    $this->SetY(-15);
    $this->SetFont('Arial','I',12);
    //$this->Cell(0,10,utf8_decode('Nª '.$this->PageNo()),0,0,'C');

}
}

$conexion=mysql_connect('localhost','foncredi_root','coope2015foncredit') or die("Problemas en la conexion");
   $base=mysql_select_db("foncredi_cooperativa",$conexion) or die ("No se encontro la base de Datos"); 
  
$cuentas=mysql_query("select * from cuentas where numero_cuenta=".$_GET['numero_cuenta']."",$conexion)  or
  die("Problemas en el select:".mysql_error());

if ($consul=mysql_fetch_array($cuentas)) {
	

$subgrupo=$consul['subgrupo'];

switch ($subgrupo) {
		case '1':
		$deno="FoncreAhorros";
		break;
		case '2':
		$deno="FoncreAhorros PlanProg.";
		break;
		case '3':
		$deno="FoncreAhorros Productivo.";
		break;
		case '4':
		$deno="Alcancia Electronica";
		break;
		case '5':
		$deno="Dinámica.";
		break;
		case '6':
		$deno="Dinamica Productiva";
		break;
		case '7':
		$deno="Micro Cuenta a la Vista";
		break;
		case '8':
		$deno="Billetera Estudiantil.";
		break;
		case '9':
		$deno="Certificado de Inversión Foninverst.";
		break;
		case '10':
		$deno="Certificado de Inversión Foninverst Especial.";
		break;
		case '11':
		$deno="Certificado de Inversión Foninverst en oro.";
		break;
		case '12':
		$deno="Certificado de Inversión Kubo Financiero.";
		break;
	default:
		# code...
		break;
}

$pdf = new PDF('L','mm','A4');
 
$pdf->AddPage();
	$pdf->SetFillColor(102,178,255);
    $pdf->SetFont('Arial','B',10);
    $pdf->SetXY(10, 45);
    $pdf->Cell(93,10,utf8_decode('Datos del Cliente:'),'LTRB',0,'',true);
    $pdf->Cell(73,10,utf8_decode('Saldo a la Fecha:'),'LTRB',1,'',true);
   
    $nombre = $consul['afiliado'];
    $cedula = $consul['cedula_a'];
    $id = $consul['id_asociado'];
    $monto = $consul['disponibilidad_real'];
 $pdf->SetFont('Arial','',9);
    $pdf->Cell(23,10,'Nombres:','LTRB',0,'',true);
   	$pdf->Cell(70,10,$nombre,'LTRB',0,'');
   	$pdf->Cell(33,10,'Saldo Total:','LTRB',0,'',true);
   	$pdf->Cell(40,10,number_format($monto,2, '.', ''),'LTRB',1,'');
   	$pdf->Cell(23,10,'C.I./PAS.:','LTRB',0,'',true);
   	$pdf->Cell(70,10,$cedula,'LTRB',0,'');
   	$pdf->Cell(33,10,'Saldo Disponible:','LTRB',0,'',true);
   	$pdf->Cell(40,10,number_format($monto,2, '.', ''),'LTRB',1,'');
   	$pdf->Cell(23,10,'Id Asociado:','LTRB',0,'',true);
   	$pdf->Cell(70,10,$id,'LTRB',1,'');
   
   


}


$pdf->SetFont('Arial','B',10);
//$pdf->SetXY(130, 40);
//$pdf->Cell(35,6,'Estado de Cuenta',"",1);
$pdf->Ln(9);
$pdf->SetFillColor(102,178,255);
$pdf->Cell(47,7,'Tipo de Cuenta:',"TRBL",0,'C',true);
$pdf->SetFont('Arial','',10);
$pdf->Cell(103,7,$deno,"TRBL",1,'');
$pdf->SetFont('Arial','B',8);
$pdf->Cell(30,7,'Numero de Cuenta:',"TRBL",0,'',true);
$pdf->Cell(17,7,'Fecha',"LTRB",0,'',true);
$pdf->Cell(70,7,utf8_decode('Descripción:'),"LTRB",0,'',true);
$pdf->Cell(33,7,'Numero de Referencia:',"LTRB",0,'',true);
$pdf->Cell(30,7,'Retiros:',"LTRB",0,'',true);
$pdf->Cell(30,7,'Depositos:',"LTRB",0,'',true);
$pdf->Cell(30,7,'Saldo Disponible:',"LTRB",1,'',true);



$pdf->SetFont('Arial','',8);
$conexion=mysql_connect('localhost','foncredi_root','coope2015foncredit') or die("Problemas en la conexion");
   $base=mysql_select_db("foncredi_cooperativa",$conexion) or die ("No se encontro la base de Datos"); 
   
   $consulta=mysql_query("select * from transacciones where numero_cuenta=".$_GET['numero_cuenta']."",$conexion)  or
  die("Problemas en el select:".mysql_error());


$sumatoria=0;
$sumatoria2=0;
  
       while ($consult=mysql_fetch_array($consulta)) {
     
     $numero_tran = $consult['id_transaccion'];
     $tipo_tran = $consult['tipo_transaccion'];
     $cuenta = $consult['numero_cuenta'];
     $monto = number_format($consult['monto'],2, '.', '');
     $fecha = $consult['fecha_registro'];
     $hora = $consult['hora_registro'];
      $descripcion = $consult['descripcion'];
   
    if ($tipo_tran==1) {
      $sumatoria-=$monto;
    }else{
     $sumatoria+=$monto;
}



 if ($tipo_tran==1) {

	$pdf->Cell(30,7,$cuenta,"LTRB",0);
	$pdf->Cell(17,7,$fecha,"LTRB",0);
	$pdf->Cell(70,7,$descripcion,"LTRB",0);
	$pdf->Cell(33,7,$numero_tran,"LTRB",0);
	$pdf->Cell(30,7,$monto,"LTRB",0);
	$pdf->Cell(30,7,'',"LTRB",0);
	$pdf->Cell(30,7,number_format($sumatoria,2, '.', ''),"LTRB",1);

	
}else{
    $pdf->Cell(30,7,$cuenta,"TRBL",0);
	$pdf->Cell(17,7,$fecha,"LTRB",0);
	$pdf->Cell(70,7,$descripcion,"LTRB",0);
	$pdf->Cell(33,7,$numero_tran,"LTRB",0);
	$pdf->Cell(30,7,'',"LTRB",0);
	$pdf->Cell(30,7,$monto,"LTRB",0);
	$pdf->Cell(30,7,number_format($sumatoria,2, '.', ''),"LTRB",1);
	

}
}


	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(30,7,'',"",0);
	$pdf->Cell(17,7,'',"",0);
	$pdf->Cell(70,7,'',"",0);
	$pdf->Cell(33,7,'',"",0);
	$pdf->Cell(30,7,'',"",0);
	$pdf->Cell(30,7,'Saldo Final:',"LTRB",0,'',true);
	$pdf->Cell(30,7,number_format($sumatoria,2, '.', ''),"LTRB",0);
	
$pdf->Output('Estado_Cuenta.pdf','D');
?>